Package org.globus.ftp.dc

# Class GridFTPActiveConnectTask

java.lang.Object
org.globus.ftp.dc.Task
org.globus.ftp.dc.GridFTPActiveConnectTask

public class GridFTPActiveConnectTask extends Task
Unlike in the parent class, here we use authentication and protection.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected SocketBox`
`box`
`protected BasicServerControlChannel`
`control`
`protected GridFTPSession`
`gSession`
`protected HostPort`
`hostPort`

### Fields inherited from class org.globus.ftp.dc.Task

`complete, exception`

## Constructor Summary

Constructors
Constructor
Description
`GridFTPActiveConnectTask(HostPort hostPort, BasicServerControlChannel control, SocketBox box, GridFTPSession gSession)`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.globus.ftp.dc.Task

`setComplete, stop, waitFor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### hostPort

protected HostPort hostPort

### control

protected BasicServerControlChannel control

### box

protected SocketBox box

### gSession

protected GridFTPSession gSession

## Constructor Details

### GridFTPActiveConnectTask

public GridFTPActiveConnectTask(HostPort hostPort, BasicServerControlChannel control, SocketBox box, GridFTPSession gSession)

## Method Details

### execute

public void execute()

Specified by:
  `execute` in class `Task`